#version 460
#extension GL_EXT_samplerless_texture_functions : require
#define VERTEX_SHADER 1


layout(location = 0) in vec4 a_pos;
layout(location = 1) in vec2 a_tex;

layout(location = 0) out vec2 PSin_t;

void main()
{
	gl_Position = vec4(a_pos.x, -a_pos.y, a_pos.z, a_pos.w);
	PSin_t = a_tex;
}

